首页 » 文章 » android studio 报错: Unable to find method 'org.gradle.api.tasks.TaskInputs.file

手贱升级了gradle,导致sync报错---android studio 报错:Unable to find method 'org.gradle.api.tasks.TaskInputs.file,这个是因为升级了gradle导致方法不兼容。

1.下载4.10版本的gradle--- https://gradle.org/releases/
2.File---settings ---build execution,deployment---gradle 配置成你刚下载的gradle
3.build.gradle 配置,貌似升级的时候,会自动设升级这个

 dependencies {
        classpath 'com.android.tools.build:gradle:3.1.3'
}

4.如果海报错::Minimum supported Gradle version is 2.14.1,File----project structure---该下gradle版本配置。

添加新评论